import axios from '@/common/services/axios-instance'

class AuditRectplanprojectService {
  changeTeamEditor(id, formId, params) {
    // const data = params
    return axios({
      url: 'api/xcoa-mobile/v1/rectPlan-project/change-resppersons/' + id + '/' + formId,
      method: 'post',
      data: params,
    }).then((res) => {
      return res
    })
  }

  changeTeamAuditContactsEditor(id, formId, params) {
    // const data = params
    return axios({
      url: 'api/xcoa-mobile/v1/rectPlan-project/change-auditedContacts/' + id + '/' + formId,
      method: 'post',
      data: params,
    }).then((res) => {
      return res
    })
  }

  // 拷贝新建
  copy(param) {
    return axios.post(`api/xcoa-mobile/v1/iam-copy-manager/new-process-form`, param)
  }

  changeconfirmEditor(params) {
    // const data = params
    return axios({
      url: 'api/xcoa-mobile/v1/iam-rectify-cancel/changeConformUser',
      method: 'post',
      data: params,
    }).then((res) => {
      return res
    })
  }
}

export default new AuditRectplanprojectService()
